Page MenuHomePhabricator

Decide on city/region label priorities
Closed, ResolvedPublic

Description

We have labels for

  • cities,
  • regions,
  • and countries.

Some of these will always block others. We need to decide on the priority for what gets placed first and what might not get shown. There is no single right answer here, and different maps have gone different ways.

Event Timeline

Pnorman created this task.Apr 20 2017, 8:54 PM
Pnorman updated the task description. (Show Details)

I moved admin-based labels into their own layer which makes this and T163491: Scale country labels based on area easier

Johan added a subscriber: Johan.May 10 2017, 3:01 PM

I imagine part of the difficulty is that the answer to this question would differ a fair bit depending on the country and so on, but from a Swedish perspective, prioritising region over city or country would be downright confusing. That's rarely what people are looking for, and when some international maps use the county councils, not even something people much care about, given that these are purely administrative regions which occasionally change, split or get merged. Even when they use the historical provinces, this is rarely how people find their way around a map in Sweden.

Johan removed a subscriber: Johan.May 10 2017, 3:02 PM
Pnorman claimed this task.May 12 2017, 8:29 PM

Many labels are missing everywhere, notably at high zoom levels. Apparently you won't display any place name below admin_level 8, so we miss many villages, hamlets or locations interesting from the touristic point of view exposed in Wikivoyage). Also transport stations have no visible names.

Many kinds of landareas are missing as well, creating a blank map where there are large enough areas to render: the natural environment is needed for tourism, notably at high zoom levels for pedestrians and cyclists and trees, grass areas or similar should be visible, as well as statues, and various high buildings/towers, and historic monuments.

Apparently you've removed (or forgotten) all shops, restaurants, bars, swimming pools, museums...

Roads/streets are really too thin (thin ner than the actual typical roads! this is visible at high zoom levels.
I appreciate the fact that the highway=*_link are finally rendered and no longer ignored (creating lot of unconnected roads in Wikivoyage, notably for motorways and trunks).

@Verdy_p If I understand your request in relation to this task you think that the updated map styles are lacking detail at particular levels. Is that correct? Could you be more specific as to how you think the city/region labels should be prioritized? For your other concerns, individual tasks would make it much easier to discuss and track work for each.

In case you have not seen it, there's a demo here where you can compare the two map styles: http://legolas.paulnorman.ca:6789/brighmed/#4/0.00/0.00

Since the team is trying to build a general use mapping system for multiple projects (mobile apps, Wikipedia, Wikivoyage, etc) and is leveraging existing OSM data, it seems to me like we should follow best practices and resist adding too much to the map. I defer to @debt and @Pnorman's expertise on what should, or should not, be included (in regards to this specific task and in general).

I split country and state labels into their own layers in https://github.com/kartotherian/meddo/commit/39590d19dee260fe138212921d8caa9237b38f28 and set an order of country labels, city labels, and then state labels for priority in https://github.com/kartotherian/brighmed/commit/cc13cfba69d8e8b4cc73f0f280a19488b6c8b24d.

Based on feedback received, that's the best option without manual label placement.

Pnorman closed this task as Resolved.Jun 1 2017, 9:23 PM
mxn added a subscriber: mxn.Jun 10 2017, 5:26 AM